Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.client
Class Stub

    java.lang.Object
      org.apache.axis2.client.Stub

    public abstract class Stub

extends Object

Base class for generated client stubs. This defines several client API (`public`) methods shared between all types of stubs, along with some `protected` methods intended for use by the actual stub implementation code. The client API method names start with a leading underscore character to avoid conflicts with actual implementation methods.

Field Summary
`protected AxisService` | `_service`
`protected ServiceClient` | `_serviceClient`
`protected ArrayList` | `modules`

Constructor Summary
`Stub()`

Method Summary
`ServiceClient` | `_getServiceClient()` Get service client implementation used by this stub.
`void` | `_setServiceClient(ServiceClient _serviceClient)` Set service client implementation used by this stub.
`protected void` | `addAnonymousOperations()`
`protected void` | `addHeader(org.apache.axiom.om.OMElement omElementToadd, org.apache.axiom.soap.SOAPEnvelope envelop)`
`protected void` | `addHeader(org.apache.axiom.om.OMElement omElementToadd, org.apache.axiom.soap.SOAPEnvelope envelop, boolean mustUnderstand)`
`protected void` | `addHttpHeader(MessageContext messageContext, String name, String value)` add an http header with name and value to message context
`protected void` | `addPropertyToOperationClient(OperationClient operationClient, String propertyKey, boolean value)`
`protected void` | `addPropertyToOperationClient(OperationClient operationClient, String propertyKey, int value)`
`protected void` | `addPropertyToOperationClient(OperationClient operationClient, String propertyKey, Object propertyValue)` sets the propertykey and propertyValue as a pair to operation client
`void` | `cleanup()` Cleanup associated resources.
`protected static org.apache.axiom.soap.SOAPEnvelope` | `createEnvelope(Options options)` Create a SOAP message envelope using the supplied options.
`protected void` | `finalize()` Finalize method called by garbage collection.
`protected static org.apache.axiom.soap.SOAPFactory` | `getFactory(String soapVersionURI)` Get Axiom factory appropriate to selected SOAP version.
`protected void` | `setMustUnderstand(org.apache.axiom.om.OMElement headerElement, org.apache.axiom.om.OMNamespace omNamespace)`
`protected void` | `setServiceClientEPR(String address)` sets the epr of the service client to given value

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _service

    protected AxisService _service

### modules

    protected ArrayList modules

### _serviceClient

    protected ServiceClient _serviceClient

Constructor Detail

### Stub

    public Stub()

Method Detail

### _getServiceClient

    public ServiceClient _getServiceClient()

  Get service client implementation used by this stub.

  Returns:
    service client

### _setServiceClient

    public void _setServiceClient(ServiceClient _serviceClient)

  Set service client implementation used by this stub. Once set, the service client is owned by this stub and will automatically be removed from the configuration when use of the stub is done.

  Parameters:
    `_serviceClient` -

### createEnvelope

    protected static org.apache.axiom.soap.SOAPEnvelope createEnvelope(Options options)
                                                                throws org.apache.axiom.soap.SOAPProcessingException

  Create a SOAP message envelope using the supplied options. TODO generated stub code should use this method, or similar method taking an operation client

  Parameters:
    `options` -
  Returns:
    generated
  Throws:
    `org.apache.axiom.soap.SOAPProcessingException`

### getFactory

    protected static org.apache.axiom.soap.SOAPFactory getFactory(String soapVersionURI)

  Get Axiom factory appropriate to selected SOAP version.

  Parameters:
    `soapVersionURI` -
  Returns:
    factory

### finalize

    protected void finalize()
                     throws Throwable

  Finalize method called by garbage collection. This is overridden to support cleanup of any associated resources.

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

### cleanup

    public void cleanup()
                 throws AxisFault

  Cleanup associated resources. This removes the axis service from the configuration.

  Throws:
    `AxisFault`

### setServiceClientEPR

    protected void setServiceClientEPR(String address)

  sets the epr of the service client to given value

  Parameters:
    `address` -

### addHttpHeader

    protected void addHttpHeader(MessageContext messageContext,
                                 String name,
                                 String value)

  add an http header with name and value to message context

  Parameters:
    `messageContext` -
    `name` -
    `value` -

### addPropertyToOperationClient

    protected void addPropertyToOperationClient(OperationClient operationClient,
                                                String propertyKey,
                                                Object propertyValue)

  sets the propertykey and propertyValue as a pair to operation client

  Parameters:
    `operationClient` -
    `propertyKey` -
    `propertyValue` -

### addPropertyToOperationClient

    protected void addPropertyToOperationClient(OperationClient operationClient,
                                                String propertyKey,
                                                boolean value)

### addPropertyToOperationClient

    protected void addPropertyToOperationClient(OperationClient operationClient,
                                                String propertyKey,
                                                int value)

### setMustUnderstand

    protected void setMustUnderstand(org.apache.axiom.om.OMElement headerElement,
                                     org.apache.axiom.om.OMNamespace omNamespace)

### addHeader

    protected void addHeader(org.apache.axiom.om.OMElement omElementToadd,
                             org.apache.axiom.soap.SOAPEnvelope envelop,
                             boolean mustUnderstand)

### addHeader

    protected void addHeader(org.apache.axiom.om.OMElement omElementToadd,
                             org.apache.axiom.soap.SOAPEnvelope envelop)

### addAnonymousOperations

    protected void addAnonymousOperations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.